### Method

# Gtk Applicationadd_window

#### Declaration [src]

    void
    gtk_application_add_window (
      GtkApplication* application,
      GtkWindow* window
    )

#### Description [src]

Adds a window to `application`.

This call can only happen after the `application` has started; typically, you should add new application windows in response to the emission of the `GApplication::activate` signal.

This call is equivalent to setting the `GtkWindow:application` property of `window` to `application`.

Normally, the connection between the application and the window will remain until the window is destroyed, but you can explicitly remove it with `gtk_application_remove_window()`.

GTK will keep the `application` running as long as it has any windows.

#### Parameters

`window`

  Type: `GtkWindow`

  A `GtkWindow`

  The data is owned by the caller of the method.